Create a Wishlist
Creates a Wishlist
POST
/
api
/
v2
/
platform
/
wishlists
Create a Wishlist
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wishlist: {name: '<string>', user_id: '<string>', is_default: true, is_private: true}
})
};
fetch('http://{defaultHost}/api/v2/platform/wishlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/wishlists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wishlist": {
"name": "<string>",
"user_id": "<string>",
"is_default": true,
"is_private": true
}
}
'{
"data": {
"id": "26",
"type": "wishlist",
"attributes": {
"name": "Wishlist_26",
"is_private": true,
"is_default": false,
"created_at": "2022-11-08T19:36:07.290Z",
"updated_at": "2022-11-08T19:36:07.290Z",
"token": "w7zjAVs9QJd9MLdPXDQcxrqi",
"variant_included": false
},
"relationships": {
"wished_items": {
"data": []
}
}
}
}{
"error": "Name can't be blank and User can't be blank",
"errors": {
"name": [
"can't be blank"
],
"user": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Wishlist
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wishlist: {name: '<string>', user_id: '<string>', is_default: true, is_private: true}
})
};
fetch('http://{defaultHost}/api/v2/platform/wishlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/wishlists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wishlist": {
"name": "<string>",
"user_id": "<string>",
"is_default": true,
"is_private": true
}
}
'{
"data": {
"id": "26",
"type": "wishlist",
"attributes": {
"name": "Wishlist_26",
"is_private": true,
"is_default": false,
"created_at": "2022-11-08T19:36:07.290Z",
"updated_at": "2022-11-08T19:36:07.290Z",
"token": "w7zjAVs9QJd9MLdPXDQcxrqi",
"variant_included": false
},
"relationships": {
"wished_items": {
"data": []
}
}
}
}{
"error": "Name can't be blank and User can't be blank",
"errors": {
"name": [
"can't be blank"
],
"user": [
"can't be blank"
]
}
}
